org.eclipse.oomph.setup.git

## Interface GitCloneTask

- All Superinterfaces:
    EObject, ModelElement, Notifier, SetupTask
  All Known Implementing Classes:
    GitCloneTaskImpl

      public interface GitCloneTask
      extends SetupTask

  A representation of the model object 'Clone Task'.

  The following features are supported:

  - `Location`
  - `Remote Name`
  - `Remote URI`
  - `Push URI`
  - `Checkout Branch`
  See Also:
    `GitPackage.getGitCloneTask()`
  Generated
  Model
    annotation="http://www.eclipse.org/emf/2002/EcoreXXX constraints='IDRequired LocationOptional'" annotation="http://www.eclipse.org/oomph/setup/ValidTriggers triggers='STARTUP MANUAL'"

- - ### Field Summary

    - ### Fields inherited from interface org.eclipse.oomph.setup.SetupTask

      `PRIORITY_CONFIGURATION, PRIORITY_DEFAULT, PRIORITY_EARLY, PRIORITY_INSTALLATION, PRIORITY_LATE, PRIORITY_REDIRECTION`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getCheckoutBranch()` Returns the value of the 'Checkout Branch' attribute.
    `String` | `getLocation()` Returns the value of the 'Location' attribute.
    `String` | `getPushURI()` Returns the value of the 'Push URI' attribute.
    `String` | `getRemoteName()` Returns the value of the 'Remote Name' attribute.
    `String` | `getRemoteURI()` Returns the value of the 'Remote URI' attribute.
    `void` | `setCheckoutBranch(String value)` Sets the value of the '`Checkout Branch`' attribute.
    `void` | `setLocation(String value)` Sets the value of the '`Location`' attribute.
    `void` | `setPushURI(String value)` Sets the value of the '`Push URI`' attribute.
    `void` | `setRemoteName(String value)` Sets the value of the '`Remote Name`' attribute.
    `void` | `setRemoteURI(String value)` Sets the value of the '`Remote URI`' attribute.

    - ### Methods inherited from interface org.eclipse.oomph.setup.SetupTask

      `consolidate, dispose, getDescription, getExcludedTriggers, getID, getOverrideToken, getPredecessors, getPriority, getRestrictions, getScope, getScopeType, getSuccessors, getTriggers, getValidTriggers, isDisabled, isNeeded, overrideFor, perform, requires, setDescription, setDisabled, setExcludedTriggers, setID`

    - ### Methods inherited from interface org.eclipse.oomph.base.ModelElement

      `getAnnotation, getAnnotations`

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

- - ### Method Detail

    - #### getLocation

          String getLocation()

      Returns the value of the 'Location' attribute. The default value is `""`.

      If the meaning of the 'Location' attribute isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Location' attribute.
      See Also:
        `setLocation(String)`, `GitPackage.getGitCloneTask_Location()`
      Generated
      Model
        default="" required="true" annotation="http://www.eclipse.org/oomph/setup/Variable type='STRING' label='Git clone location rule' description='The rule for the absolute folder location where the Git clone is located' explicitType='FOLDER' explicitLabel='$ Git clone location' explicitDescription='The absolute folder location where the $ Git clone is located'" annotation="http://www.eclipse.org/oomph/setup/RuleVariable name='git.container.root' type='FOLDER' label='Root Git-container folder' description='The root Git-container folder where all the Git clones are located' storageURI='scope://'"

    - #### setLocation

          void setLocation(String value)

      Sets the value of the '`Location`' attribute.
      Parameters:
        `value` - the new value of the 'Location' attribute.
      See Also:
        `getLocation()`
      Generated

    - #### getRemoteName

          String getRemoteName()

      Returns the value of the 'Remote Name' attribute. The default value is `"origin"`.

      If the meaning of the 'Remote Name' attribute isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Remote Name' attribute.
      See Also:
        `setRemoteName(String)`, `GitPackage.getGitCloneTask_RemoteName()`
      Generated
      Model
        default="origin" required="true"

    - #### setRemoteName

          void setRemoteName(String value)

      Sets the value of the '`Remote Name`' attribute.
      Parameters:
        `value` - the new value of the 'Remote Name' attribute.
      See Also:
        `getRemoteName()`
      Generated

    - #### getRemoteURI

          String getRemoteURI()

      Returns the value of the 'Remote URI' attribute.

      If the meaning of the 'Remote URI' attribute isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Remote URI' attribute.
      See Also:
        `setRemoteURI(String)`, `GitPackage.getGitCloneTask_RemoteURI()`
      Generated
      Model
        required="true"

    - #### setRemoteURI

          void setRemoteURI(String value)

      Sets the value of the '`Remote URI`' attribute.
      Parameters:
        `value` - the new value of the 'Remote URI' attribute.
      See Also:
        `getRemoteURI()`
      Generated

    - #### getPushURI

          String getPushURI()

      Returns the value of the 'Push URI' attribute.

      If the meaning of the 'Push URI' attribute isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Push URI' attribute.
      See Also:
        `setPushURI(String)`, `GitPackage.getGitCloneTask_PushURI()`
      Generated
      Model

    - #### setPushURI

          void setPushURI(String value)

      Sets the value of the '`Push URI`' attribute.
      Parameters:
        `value` - the new value of the 'Push URI' attribute.
      See Also:
        `getPushURI()`
      Generated

    - #### getCheckoutBranch

          String getCheckoutBranch()

      Returns the value of the 'Checkout Branch' attribute. The default value is `"${scope.project.stream.name}"`.

      If the meaning of the 'Checkout Branch' attribute isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Checkout Branch' attribute.
      See Also:
        `setCheckoutBranch(String)`, `GitPackage.getGitCloneTask_CheckoutBranch()`
      Generated
      Model
        default="${scope.project.stream.name}" required="true"

    - #### setCheckoutBranch

          void setCheckoutBranch(String value)

      Sets the value of the '`Checkout Branch`' attribute.
      Parameters:
        `value` - the new value of the 'Checkout Branch' attribute.
      See Also:
        `getCheckoutBranch()`
      Generated

Copyright (c) 2014 Eike Stepper (Loehne, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html